Home
last modified time | relevance | path

Searched refs:theEdges (Results 1 – 25 of 49) sorted by relevance

12

/dports/cad/opencascade/opencascade-7.6.0/inc/
H A DBRepMesh_Triangle.hxx52 const Standard_Integer (&theEdges)[3], in BRepMesh_Triangle()
56 Initialize(theEdges, theOrientations, theMovability); in BRepMesh_Triangle()
64 const Standard_Integer (&theEdges)[3], in Initialize()
68 memcpy(myEdges, theEdges, sizeof(theEdges)); in Initialize()
76 void Edges(Standard_Integer (&theEdges)[3], in Edges()
79 memcpy(theEdges, myEdges, sizeof(myEdges)); in Edges()
H A DBRepMesh_MeshTool.hxx119 Standard_Integer (&theEdges)[3]) in AddTriangle()
122 AddLink(thePoint1, thePoint2, theEdges[0], aOri[0]); in AddTriangle()
123 AddLink(thePoint2, thePoint3, theEdges[1], aOri[1]); in AddTriangle()
124 AddLink(thePoint3, thePoint1, theEdges[2], aOri[2]); in AddTriangle()
126 myStructure->AddElement(BRepMesh_Triangle(theEdges, aOri, BRepMesh_Free)); in AddTriangle()
H A DBRepOffset_Analyse.hxx94 TopTools_ListOfShape& theEdges) const;
177 …Standard_EXPORT void TreatTangentFaces (const TopTools_ListOfShape& theEdges, const Message_Progre…
H A DBRepFeat_SplitShape.lxx45 inline Standard_Boolean BRepFeat_SplitShape::Add(const TopTools_SequenceOfShape& theEdges)
47 return myWOnShape->Add(theEdges);
H A DBRepFeat_SplitShape.hxx67 Standard_Boolean Add(const TopTools_SequenceOfShape& theEdges);
H A DStdPrs_WFShape.hxx91 static void addEdges (const TopTools_ListOfShape& theEdges,
/dports/cad/opencascade/opencascade-7.6.0/src/BRepMesh/
H A DBRepMesh_Triangle.hxx52 const Standard_Integer (&theEdges)[3], in BRepMesh_Triangle()
56 Initialize(theEdges, theOrientations, theMovability); in BRepMesh_Triangle()
64 const Standard_Integer (&theEdges)[3], in Initialize()
68 memcpy(myEdges, theEdges, sizeof(theEdges)); in Initialize()
76 void Edges(Standard_Integer (&theEdges)[3], in Edges()
79 memcpy(theEdges, myEdges, sizeof(myEdges)); in Edges()
H A DBRepMesh_MeshTool.hxx119 Standard_Integer (&theEdges)[3]) in AddTriangle()
122 AddLink(thePoint1, thePoint2, theEdges[0], aOri[0]); in AddTriangle()
123 AddLink(thePoint2, thePoint3, theEdges[1], aOri[1]); in AddTriangle()
124 AddLink(thePoint3, thePoint1, theEdges[2], aOri[2]); in AddTriangle()
126 myStructure->AddElement(BRepMesh_Triangle(theEdges, aOri, BRepMesh_Free)); in AddTriangle()
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/opencascade/
H A DBRepMesh_Triangle.hxx52 const Standard_Integer (&theEdges)[3], in BRepMesh_Triangle()
56 Initialize(theEdges, theOrientations, theMovability); in BRepMesh_Triangle()
64 const Standard_Integer (&theEdges)[3], in Initialize()
68 memcpy(myEdges, theEdges, sizeof(theEdges)); in Initialize()
76 inline void Edges(Standard_Integer (&theEdges)[3], in Edges()
79 memcpy(theEdges, myEdges, sizeof(myEdges)); in Edges()
H A DBRepMesh_MeshTool.hxx119 Standard_Integer (&theEdges)[3]) in AddTriangle()
122 AddLink(thePoint1, thePoint2, theEdges[0], aOri[0]); in AddTriangle()
123 AddLink(thePoint2, thePoint3, theEdges[1], aOri[1]); in AddTriangle()
124 AddLink(thePoint3, thePoint1, theEdges[2], aOri[2]); in AddTriangle()
126 myStructure->AddElement(BRepMesh_Triangle(theEdges, aOri, BRepMesh_Free)); in AddTriangle()
H A DBRepFeat_SplitShape.lxx45 inline Standard_Boolean BRepFeat_SplitShape::Add(const TopTools_SequenceOfShape& theEdges)
47 return myWOnShape->Add(theEdges);
H A DBRepFeat_SplitShape.hxx70 Standard_Boolean Add(const TopTools_SequenceOfShape& theEdges);
H A DStdPrs_WFShape.hxx91 static void addEdges (const TopTools_ListOfShape& theEdges,
/dports/graphics/quesa/quesa-1.8/Source/Core/Geometry/
H A DE3GeometryPolygon.c193 TQ3TriMeshEdgeData *theEdges;
210 if (thePoints == NULL || theTriangles == NULL || theEdges == NULL)
214 Q3Memory_Free(&theEdges);
227 theEdges[n].pointIndices[0] = n;
228 theEdges[n].pointIndices[1] = (n == (numEdges-1)) ? 0 : (n + 1);
229 theEdges[n].triangleIndices[0] = n - 1;
230 theEdges[n].triangleIndices[1] = kQ3ArrayIndexNULL;
233 theEdges[0].triangleIndices[0] = 0;
234 theEdges[numEdges - 1].triangleIndices[0] = numEdges - 3;
253 triMeshData.edges = theEdges;
[all …]
H A DE3GeometryPolyhedron.c412 TQ3TriMeshEdgeData *theEdges;
444 theEdges = NULL;
449 if (thePoints == NULL || theTriangles == NULL || (theEdges == NULL && numEdges != 0))
453 Q3Memory_Free(&theEdges);
477 …Q3Memory_Copy(geomData->edges[n].vertexIndices, theEdges[n].pointIndices, sizeof(theEdges[n].…
478 …Q3Memory_Copy(geomData->edges[n].triangleIndices, theEdges[n].triangleIndices, sizeof(theEdges[n].…
491 e3geom_polyhedron_set_edge(&theEdges[m], &geomData->triangles[n], n, n, 0, 1);
497 e3geom_polyhedron_set_edge(&theEdges[m], &geomData->triangles[n], n, n, 1, 2);
503 e3geom_polyhedron_set_edge(&theEdges[m], &geomData->triangles[n], n, n, 2, 0);
521 triMeshData.edges = theEdges;
[all …]
/dports/cad/opencascade/opencascade-7.6.0/src/SelectMgr/
H A DSelectMgr_TriangularFrustum.cxx25 void computeFrustumNormals (const gp_Vec* theEdges, gp_Vec* theNormals) in computeFrustumNormals() argument
28 theNormals[0] = theEdges[0].Crossed (theEdges[3]); in computeFrustumNormals()
30 theNormals[1] = theEdges[1].Crossed (theEdges[4]); in computeFrustumNormals()
32 theNormals[2] = theEdges[0].Crossed (theEdges[5]); in computeFrustumNormals()
34 theNormals[3] = theEdges[3].Crossed (theEdges[4]); in computeFrustumNormals()
H A DSelectMgr_RectangularFrustum.cxx152 gp_Pnt* theVertices, gp_Vec* theEdges) in computeFrustum() argument
188 theEdges[0] = theVertices[4].XYZ() - theVertices[0].XYZ(); in computeFrustum()
190 theEdges[1] = theVertices[2].XYZ() - theVertices[0].XYZ(); in computeFrustum()
192 theEdges[2] = theVertices[2].XYZ() - theVertices[3].XYZ(); in computeFrustum()
194 theEdges[3] = theVertices[6].XYZ() - theVertices[7].XYZ(); in computeFrustum()
196 theEdges[4] = theVertices[0].XYZ() - theVertices[1].XYZ(); in computeFrustum()
208 theNormals[0] = theEdges[0].Crossed (theEdges[4]); in computeNormals()
210 theNormals[1] = theEdges[2].Crossed (theEdges[0]); in computeNormals()
212 theNormals[2] = theEdges[4].Crossed (theEdges[1]); in computeNormals()
214 theNormals[3] = theEdges[1].Crossed (theEdges[5]); in computeNormals()
[all …]
/dports/cad/opencascade/opencascade-7.6.0/src/IGESSolid/
H A DIGESSolid_Loop.cxx56 theEdges = Edges; in Init()
76 if(theEdges.IsNull()) return 0; in NbEdges()
77 return theEdges->Length(); in NbEdges()
88 return theEdges->Value(Index); in Handle()
H A DIGESSolid_Loop.hxx119 Handle(IGESData_HArray1OfIGESEntity) theEdges;
/dports/cad/opencascade/opencascade-7.6.0/src/ShapeConstruct/
H A DShapeConstruct_MakeTriangulation.cxx171 Handle(TopTools_HSequenceOfShape) theEdges = new TopTools_HSequenceOfShape; in Triangulate()
172 for (TopoDS_Iterator ite(wire); ite.More(); ite.Next()) theEdges->Append(ite.Value()); in Triangulate()
173 Standard_Integer NbEdges = theEdges->Length(); in Triangulate()
182 theAPnt->SetValue(i,BRep_Tool::Pnt(sae.FirstVertex(TopoDS::Edge(theEdges->Value(i))))); in Triangulate()
305 TopoDS_Vertex v1 = sae.FirstVertex(TopoDS::Edge(theEdges->Value(lindex))); in Triangulate()
306 TopoDS_Vertex v2 = sae.FirstVertex(TopoDS::Edge(theEdges->Value(rindex))); in Triangulate()
317 TopoDS_Edge theNEdge = TopoDS::Edge(theEdges->Value(cur_edge)); in Triangulate()
328 TopoDS_Edge theNEdge = TopoDS::Edge(theEdges->Value(cur_edge)); in Triangulate()
340 theEdges.Nullify(); in Triangulate()
/dports/cad/opencascade/opencascade-7.6.0/src/ShapeFix/
H A DShapeFix_Wireframe.cxx919 if (newsmall) theEdges.Append(edge3); in MergeSmallEdges()
925 theEdges.Remove(ite); in MergeSmallEdges()
989 theEdges.Remove(ite); in MergeSmallEdges()
990 theEdges.Append(anewedge1); in MergeSmallEdges()
1011 theEdges.Remove(ite); in MergeSmallEdges()
1012 theEdges.Append(anewedge2); in MergeSmallEdges()
1373 theEdges.Remove(ite); in MergeSmallEdges()
1437 theEdges.Remove(ite); in MergeSmallEdges()
1438 theEdges.Append(anewedge1); in MergeSmallEdges()
1459 theEdges.Remove(ite); in MergeSmallEdges()
[all …]
/dports/cad/opencascade/opencascade-7.6.0/src/BRepOffset/
H A DBRepOffset_Analyse.hxx94 TopTools_ListOfShape& theEdges) const;
177 …Standard_EXPORT void TreatTangentFaces (const TopTools_ListOfShape& theEdges, const Message_Progre…
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFeat/
H A DBRepFeat_SplitShape.lxx45 inline Standard_Boolean BRepFeat_SplitShape::Add(const TopTools_SequenceOfShape& theEdges)
47 return myWOnShape->Add(theEdges);
H A DBRepFeat_SplitShape.hxx67 Standard_Boolean Add(const TopTools_SequenceOfShape& theEdges);
/dports/cad/opencascade/opencascade-7.6.0/src/StdPrs/
H A DStdPrs_WFShape.hxx91 static void addEdges (const TopTools_ListOfShape& theEdges,

12